<?php //66966b440a2f81532cba19d64f080dcb
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Subscription\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Subscription\Entities\Subscription;
    use Modules\Subscription\Entities\SubscriptionFeature;
    use Modules\Subscription\Entities\SubscriptionType;
    use Modules\Subscription\Entities\UserSubscription;
    
    /**
     * @method SubscriptionFeature|null getOrPut($key, \Closure $value)
     * @method SubscriptionFeature|$this shift(int $count = 1)
     * @method SubscriptionFeature|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SubscriptionFeature|$this pop(int $count = 1)
     * @method SubscriptionFeature|null pull($key, \Closure $default = null)
     * @method SubscriptionFeature|null last(callable $callback = null, \Closure $default = null)
     * @method SubscriptionFeature|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SubscriptionFeature|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SubscriptionFeature|null get($key, \Closure $default = null)
     * @method SubscriptionFeature|null first(callable $callback = null, \Closure $default = null)
     * @method SubscriptionFeature|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SubscriptionFeature|null find($key, $default = null)
     * @method SubscriptionFeature[] all()
     */
    class _IH_SubscriptionFeature_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SubscriptionFeature[][]|Collection<_IH_SubscriptionFeature_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SubscriptionFeature_QB whereId($value)
     * @method _IH_SubscriptionFeature_QB whereSubscriptionId($value)
     * @method _IH_SubscriptionFeature_QB whereFeature($value)
     * @method _IH_SubscriptionFeature_QB whereStatus($value)
     * @method _IH_SubscriptionFeature_QB whereCreatedAt($value)
     * @method _IH_SubscriptionFeature_QB whereUpdatedAt($value)
     * @method SubscriptionFeature baseSole(array|string $columns = ['*'])
     * @method SubscriptionFeature create(array $attributes = [])
     * @method SubscriptionFeature createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_SubscriptionFeature_C|SubscriptionFeature[] cursor()
     * @method SubscriptionFeature|null|_IH_SubscriptionFeature_C|SubscriptionFeature[] find($id, array|string $columns = ['*'])
     * @method _IH_SubscriptionFeature_C|SubscriptionFeature[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SubscriptionFeature|_IH_SubscriptionFeature_C|SubscriptionFeature[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SubscriptionFeature|_IH_SubscriptionFeature_C|SubscriptionFeature[] findOrFail($id, array|string $columns = ['*'])
     * @method SubscriptionFeature|_IH_SubscriptionFeature_C|SubscriptionFeature[] findOrNew($id, array|string $columns = ['*'])
     * @method SubscriptionFeature first(array|string $columns = ['*'])
     * @method SubscriptionFeature firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SubscriptionFeature firstOrCreate(array $attributes = [], array $values = [])
     * @method SubscriptionFeature firstOrFail(array|string $columns = ['*'])
     * @method SubscriptionFeature firstOrNew(array $attributes = [], array $values = [])
     * @method SubscriptionFeature firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SubscriptionFeature forceCreate(array $attributes)
     * @method SubscriptionFeature forceCreateQuietly(array $attributes = [])
     * @method _IH_SubscriptionFeature_C|SubscriptionFeature[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SubscriptionFeature_C|SubscriptionFeature[] get(array|string $columns = ['*'])
     * @method SubscriptionFeature getModel()
     * @method SubscriptionFeature[] getModels(array|string $columns = ['*'])
     * @method _IH_SubscriptionFeature_C|SubscriptionFeature[] hydrate(array $items)
     * @method _IH_SubscriptionFeature_C|SubscriptionFeature[] lazy(int $chunkSize = 1000)
     * @method _IH_SubscriptionFeature_C|SubscriptionFeature[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SubscriptionFeature_C|SubscriptionFeature[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SubscriptionFeature make(array $attributes = [])
     * @method SubscriptionFeature newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SubscriptionFeature[]|_IH_SubscriptionFeature_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SubscriptionFeature[]|_IH_SubscriptionFeature_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SubscriptionFeature sole(array|string $columns = ['*'])
     * @method SubscriptionFeature updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SubscriptionFeature_QB extends _BaseBuilder {}
    
    /**
     * @method SubscriptionType|null getOrPut($key, \Closure $value)
     * @method SubscriptionType|$this shift(int $count = 1)
     * @method SubscriptionType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SubscriptionType|$this pop(int $count = 1)
     * @method SubscriptionType|null pull($key, \Closure $default = null)
     * @method SubscriptionType|null last(callable $callback = null, \Closure $default = null)
     * @method SubscriptionType|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SubscriptionType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SubscriptionType|null get($key, \Closure $default = null)
     * @method SubscriptionType|null first(callable $callback = null, \Closure $default = null)
     * @method SubscriptionType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SubscriptionType|null find($key, $default = null)
     * @method SubscriptionType[] all()
     */
    class _IH_SubscriptionType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SubscriptionType[][]|Collection<_IH_SubscriptionType_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SubscriptionType_QB whereId($value)
     * @method _IH_SubscriptionType_QB whereType($value)
     * @method _IH_SubscriptionType_QB whereCreatedAt($value)
     * @method _IH_SubscriptionType_QB whereUpdatedAt($value)
     * @method _IH_SubscriptionType_QB whereValidity($value)
     * @method SubscriptionType baseSole(array|string $columns = ['*'])
     * @method SubscriptionType create(array $attributes = [])
     * @method SubscriptionType createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_SubscriptionType_C|SubscriptionType[] cursor()
     * @method SubscriptionType|null|_IH_SubscriptionType_C|SubscriptionType[] find($id, array|string $columns = ['*'])
     * @method _IH_SubscriptionType_C|SubscriptionType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SubscriptionType|_IH_SubscriptionType_C|SubscriptionType[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SubscriptionType|_IH_SubscriptionType_C|SubscriptionType[] findOrFail($id, array|string $columns = ['*'])
     * @method SubscriptionType|_IH_SubscriptionType_C|SubscriptionType[] findOrNew($id, array|string $columns = ['*'])
     * @method SubscriptionType first(array|string $columns = ['*'])
     * @method SubscriptionType firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SubscriptionType firstOrCreate(array $attributes = [], array $values = [])
     * @method SubscriptionType firstOrFail(array|string $columns = ['*'])
     * @method SubscriptionType firstOrNew(array $attributes = [], array $values = [])
     * @method SubscriptionType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SubscriptionType forceCreate(array $attributes)
     * @method SubscriptionType forceCreateQuietly(array $attributes = [])
     * @method _IH_SubscriptionType_C|SubscriptionType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SubscriptionType_C|SubscriptionType[] get(array|string $columns = ['*'])
     * @method SubscriptionType getModel()
     * @method SubscriptionType[] getModels(array|string $columns = ['*'])
     * @method _IH_SubscriptionType_C|SubscriptionType[] hydrate(array $items)
     * @method _IH_SubscriptionType_C|SubscriptionType[] lazy(int $chunkSize = 1000)
     * @method _IH_SubscriptionType_C|SubscriptionType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SubscriptionType_C|SubscriptionType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SubscriptionType make(array $attributes = [])
     * @method SubscriptionType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SubscriptionType[]|_IH_SubscriptionType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|SubscriptionType[]|_IH_SubscriptionType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SubscriptionType sole(array|string $columns = ['*'])
     * @method SubscriptionType updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SubscriptionType_QB extends _BaseBuilder {}
    
    /**
     * @method Subscription|null getOrPut($key, \Closure $value)
     * @method Subscription|$this shift(int $count = 1)
     * @method Subscription|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Subscription|$this pop(int $count = 1)
     * @method Subscription|null pull($key, \Closure $default = null)
     * @method Subscription|null last(callable $callback = null, \Closure $default = null)
     * @method Subscription|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Subscription|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Subscription|null get($key, \Closure $default = null)
     * @method Subscription|null first(callable $callback = null, \Closure $default = null)
     * @method Subscription|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Subscription|null find($key, $default = null)
     * @method Subscription[] all()
     */
    class _IH_Subscription_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Subscription[][]|Collection<_IH_Subscription_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Subscription_QB whereId($value)
     * @method _IH_Subscription_QB whereSubscriptionTypeId($value)
     * @method _IH_Subscription_QB whereTitle($value)
     * @method _IH_Subscription_QB whereLogo($value)
     * @method _IH_Subscription_QB wherePrice($value)
     * @method _IH_Subscription_QB whereStatus($value)
     * @method _IH_Subscription_QB whereCreatedAt($value)
     * @method _IH_Subscription_QB whereUpdatedAt($value)
     * @method _IH_Subscription_QB whereLimit($value)
     * @method Subscription baseSole(array|string $columns = ['*'])
     * @method Subscription create(array $attributes = [])
     * @method Subscription createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Subscription_C|Subscription[] cursor()
     * @method Subscription|null|_IH_Subscription_C|Subscription[] find($id, array|string $columns = ['*'])
     * @method _IH_Subscription_C|Subscription[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Subscription|_IH_Subscription_C|Subscription[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Subscription|_IH_Subscription_C|Subscription[] findOrFail($id, array|string $columns = ['*'])
     * @method Subscription|_IH_Subscription_C|Subscription[] findOrNew($id, array|string $columns = ['*'])
     * @method Subscription first(array|string $columns = ['*'])
     * @method Subscription firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Subscription firstOrCreate(array $attributes = [], array $values = [])
     * @method Subscription firstOrFail(array|string $columns = ['*'])
     * @method Subscription firstOrNew(array $attributes = [], array $values = [])
     * @method Subscription firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Subscription forceCreate(array $attributes)
     * @method Subscription forceCreateQuietly(array $attributes = [])
     * @method _IH_Subscription_C|Subscription[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Subscription_C|Subscription[] get(array|string $columns = ['*'])
     * @method Subscription getModel()
     * @method Subscription[] getModels(array|string $columns = ['*'])
     * @method _IH_Subscription_C|Subscription[] hydrate(array $items)
     * @method _IH_Subscription_C|Subscription[] lazy(int $chunkSize = 1000)
     * @method _IH_Subscription_C|Subscription[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Subscription_C|Subscription[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Subscription make(array $attributes = [])
     * @method Subscription newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Subscription[]|_IH_Subscription_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Subscription[]|_IH_Subscription_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Subscription sole(array|string $columns = ['*'])
     * @method Subscription updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Subscription_QB extends _BaseBuilder {}
    
    /**
     * @method UserSubscription|null getOrPut($key, \Closure $value)
     * @method UserSubscription|$this shift(int $count = 1)
     * @method UserSubscription|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserSubscription|$this pop(int $count = 1)
     * @method UserSubscription|null pull($key, \Closure $default = null)
     * @method UserSubscription|null last(callable $callback = null, \Closure $default = null)
     * @method UserSubscription|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method UserSubscription|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserSubscription|null get($key, \Closure $default = null)
     * @method UserSubscription|null first(callable $callback = null, \Closure $default = null)
     * @method UserSubscription|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserSubscription|null find($key, $default = null)
     * @method UserSubscription[] all()
     */
    class _IH_UserSubscription_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserSubscription[][]|Collection<_IH_UserSubscription_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserSubscription_QB whereId($value)
     * @method _IH_UserSubscription_QB whereUserId($value)
     * @method _IH_UserSubscription_QB whereSubscriptionId($value)
     * @method _IH_UserSubscription_QB wherePrice($value)
     * @method _IH_UserSubscription_QB whereLimit($value)
     * @method _IH_UserSubscription_QB whereExpireDate($value)
     * @method _IH_UserSubscription_QB wherePaymentGateway($value)
     * @method _IH_UserSubscription_QB wherePaymentStatus($value)
     * @method _IH_UserSubscription_QB whereStatus($value)
     * @method _IH_UserSubscription_QB whereTransactionId($value)
     * @method _IH_UserSubscription_QB whereManualPaymentImage($value)
     * @method _IH_UserSubscription_QB whereCreatedAt($value)
     * @method _IH_UserSubscription_QB whereUpdatedAt($value)
     * @method _IH_UserSubscription_QB whereEmailSend($value)
     * @method UserSubscription baseSole(array|string $columns = ['*'])
     * @method UserSubscription create(array $attributes = [])
     * @method UserSubscription createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_UserSubscription_C|UserSubscription[] cursor()
     * @method UserSubscription|null|_IH_UserSubscription_C|UserSubscription[] find($id, array|string $columns = ['*'])
     * @method _IH_UserSubscription_C|UserSubscription[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserSubscription|_IH_UserSubscription_C|UserSubscription[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserSubscription|_IH_UserSubscription_C|UserSubscription[] findOrFail($id, array|string $columns = ['*'])
     * @method UserSubscription|_IH_UserSubscription_C|UserSubscription[] findOrNew($id, array|string $columns = ['*'])
     * @method UserSubscription first(array|string $columns = ['*'])
     * @method UserSubscription firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserSubscription firstOrCreate(array $attributes = [], array $values = [])
     * @method UserSubscription firstOrFail(array|string $columns = ['*'])
     * @method UserSubscription firstOrNew(array $attributes = [], array $values = [])
     * @method UserSubscription firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserSubscription forceCreate(array $attributes)
     * @method UserSubscription forceCreateQuietly(array $attributes = [])
     * @method _IH_UserSubscription_C|UserSubscription[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserSubscription_C|UserSubscription[] get(array|string $columns = ['*'])
     * @method UserSubscription getModel()
     * @method UserSubscription[] getModels(array|string $columns = ['*'])
     * @method _IH_UserSubscription_C|UserSubscription[] hydrate(array $items)
     * @method _IH_UserSubscription_C|UserSubscription[] lazy(int $chunkSize = 1000)
     * @method _IH_UserSubscription_C|UserSubscription[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserSubscription_C|UserSubscription[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserSubscription make(array $attributes = [])
     * @method UserSubscription newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserSubscription[]|_IH_UserSubscription_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|UserSubscription[]|_IH_UserSubscription_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserSubscription sole(array|string $columns = ['*'])
     * @method UserSubscription updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserSubscription_QB extends _BaseBuilder {}
}