<?php //a5ed629425a61ec73f26fb2c9b61b363
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\FreelancerLevel\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\FreelancerLevel\Entities\FreelancerLevel;
    use Modules\FreelancerLevel\Entities\FreelancerLevelRules;
    
    /**
     * @method FreelancerLevelRules|null getOrPut($key, \Closure $value)
     * @method FreelancerLevelRules|$this shift(int $count = 1)
     * @method FreelancerLevelRules|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method FreelancerLevelRules|$this pop(int $count = 1)
     * @method FreelancerLevelRules|null pull($key, \Closure $default = null)
     * @method FreelancerLevelRules|null last(callable $callback = null, \Closure $default = null)
     * @method FreelancerLevelRules|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method FreelancerLevelRules|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method FreelancerLevelRules|null get($key, \Closure $default = null)
     * @method FreelancerLevelRules|null first(callable $callback = null, \Closure $default = null)
     * @method FreelancerLevelRules|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method FreelancerLevelRules|null find($key, $default = null)
     * @method FreelancerLevelRules[] all()
     */
    class _IH_FreelancerLevelRules_C extends _BaseCollection {
        /**
         * @param int $size
         * @return FreelancerLevelRules[][]|Collection<_IH_FreelancerLevelRules_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_FreelancerLevelRules_QB whereId($value)
     * @method _IH_FreelancerLevelRules_QB whereFreelancerLevelId($value)
     * @method _IH_FreelancerLevelRules_QB wherePeriod($value)
     * @method _IH_FreelancerLevelRules_QB whereAvgRating($value)
     * @method _IH_FreelancerLevelRules_QB whereEarning($value)
     * @method _IH_FreelancerLevelRules_QB whereCompleteOrder($value)
     * @method _IH_FreelancerLevelRules_QB whereCreatedAt($value)
     * @method _IH_FreelancerLevelRules_QB whereUpdatedAt($value)
     * @method FreelancerLevelRules baseSole(array|string $columns = ['*'])
     * @method FreelancerLevelRules create(array $attributes = [])
     * @method FreelancerLevelRules createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_FreelancerLevelRules_C|FreelancerLevelRules[] cursor()
     * @method FreelancerLevelRules|null|_IH_FreelancerLevelRules_C|FreelancerLevelRules[] find($id, array|string $columns = ['*'])
     * @method _IH_FreelancerLevelRules_C|FreelancerLevelRules[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method FreelancerLevelRules|_IH_FreelancerLevelRules_C|FreelancerLevelRules[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method FreelancerLevelRules|_IH_FreelancerLevelRules_C|FreelancerLevelRules[] findOrFail($id, array|string $columns = ['*'])
     * @method FreelancerLevelRules|_IH_FreelancerLevelRules_C|FreelancerLevelRules[] findOrNew($id, array|string $columns = ['*'])
     * @method FreelancerLevelRules first(array|string $columns = ['*'])
     * @method FreelancerLevelRules firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method FreelancerLevelRules firstOrCreate(array $attributes = [], array $values = [])
     * @method FreelancerLevelRules firstOrFail(array|string $columns = ['*'])
     * @method FreelancerLevelRules firstOrNew(array $attributes = [], array $values = [])
     * @method FreelancerLevelRules firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method FreelancerLevelRules forceCreate(array $attributes)
     * @method FreelancerLevelRules forceCreateQuietly(array $attributes = [])
     * @method _IH_FreelancerLevelRules_C|FreelancerLevelRules[] fromQuery(string $query, array $bindings = [])
     * @method _IH_FreelancerLevelRules_C|FreelancerLevelRules[] get(array|string $columns = ['*'])
     * @method FreelancerLevelRules getModel()
     * @method FreelancerLevelRules[] getModels(array|string $columns = ['*'])
     * @method _IH_FreelancerLevelRules_C|FreelancerLevelRules[] hydrate(array $items)
     * @method _IH_FreelancerLevelRules_C|FreelancerLevelRules[] lazy(int $chunkSize = 1000)
     * @method _IH_FreelancerLevelRules_C|FreelancerLevelRules[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_FreelancerLevelRules_C|FreelancerLevelRules[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method FreelancerLevelRules make(array $attributes = [])
     * @method FreelancerLevelRules newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|FreelancerLevelRules[]|_IH_FreelancerLevelRules_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|FreelancerLevelRules[]|_IH_FreelancerLevelRules_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method FreelancerLevelRules sole(array|string $columns = ['*'])
     * @method FreelancerLevelRules updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_FreelancerLevelRules_QB extends _BaseBuilder {}
    
    /**
     * @method FreelancerLevel|null getOrPut($key, \Closure $value)
     * @method FreelancerLevel|$this shift(int $count = 1)
     * @method FreelancerLevel|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method FreelancerLevel|$this pop(int $count = 1)
     * @method FreelancerLevel|null pull($key, \Closure $default = null)
     * @method FreelancerLevel|null last(callable $callback = null, \Closure $default = null)
     * @method FreelancerLevel|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method FreelancerLevel|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method FreelancerLevel|null get($key, \Closure $default = null)
     * @method FreelancerLevel|null first(callable $callback = null, \Closure $default = null)
     * @method FreelancerLevel|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method FreelancerLevel|null find($key, $default = null)
     * @method FreelancerLevel[] all()
     */
    class _IH_FreelancerLevel_C extends _BaseCollection {
        /**
         * @param int $size
         * @return FreelancerLevel[][]|Collection<_IH_FreelancerLevel_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_FreelancerLevel_QB whereId($value)
     * @method _IH_FreelancerLevel_QB whereLevel($value)
     * @method _IH_FreelancerLevel_QB whereStatus($value)
     * @method _IH_FreelancerLevel_QB whereImage($value)
     * @method _IH_FreelancerLevel_QB whereCreatedAt($value)
     * @method _IH_FreelancerLevel_QB whereUpdatedAt($value)
     * @method FreelancerLevel baseSole(array|string $columns = ['*'])
     * @method FreelancerLevel create(array $attributes = [])
     * @method FreelancerLevel createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_FreelancerLevel_C|FreelancerLevel[] cursor()
     * @method FreelancerLevel|null|_IH_FreelancerLevel_C|FreelancerLevel[] find($id, array|string $columns = ['*'])
     * @method _IH_FreelancerLevel_C|FreelancerLevel[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method FreelancerLevel|_IH_FreelancerLevel_C|FreelancerLevel[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method FreelancerLevel|_IH_FreelancerLevel_C|FreelancerLevel[] findOrFail($id, array|string $columns = ['*'])
     * @method FreelancerLevel|_IH_FreelancerLevel_C|FreelancerLevel[] findOrNew($id, array|string $columns = ['*'])
     * @method FreelancerLevel first(array|string $columns = ['*'])
     * @method FreelancerLevel firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method FreelancerLevel firstOrCreate(array $attributes = [], array $values = [])
     * @method FreelancerLevel firstOrFail(array|string $columns = ['*'])
     * @method FreelancerLevel firstOrNew(array $attributes = [], array $values = [])
     * @method FreelancerLevel firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method FreelancerLevel forceCreate(array $attributes)
     * @method FreelancerLevel forceCreateQuietly(array $attributes = [])
     * @method _IH_FreelancerLevel_C|FreelancerLevel[] fromQuery(string $query, array $bindings = [])
     * @method _IH_FreelancerLevel_C|FreelancerLevel[] get(array|string $columns = ['*'])
     * @method FreelancerLevel getModel()
     * @method FreelancerLevel[] getModels(array|string $columns = ['*'])
     * @method _IH_FreelancerLevel_C|FreelancerLevel[] hydrate(array $items)
     * @method _IH_FreelancerLevel_C|FreelancerLevel[] lazy(int $chunkSize = 1000)
     * @method _IH_FreelancerLevel_C|FreelancerLevel[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_FreelancerLevel_C|FreelancerLevel[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method FreelancerLevel make(array $attributes = [])
     * @method FreelancerLevel newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|FreelancerLevel[]|_IH_FreelancerLevel_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|FreelancerLevel[]|_IH_FreelancerLevel_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method FreelancerLevel sole(array|string $columns = ['*'])
     * @method FreelancerLevel updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_FreelancerLevel_QB extends _BaseBuilder {}
}