<?php //64509c17ef5c747e51795a6dd3ea5fed
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Chat\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Chat\Entities\LiveChat;
    use Modules\Chat\Entities\LiveChatMessage;
    use Modules\Chat\Entities\Offer;
    use Modules\Chat\Entities\OfferMilestone;
    
    /**
     * @method LiveChatMessage|null getOrPut($key, \Closure $value)
     * @method LiveChatMessage|$this shift(int $count = 1)
     * @method LiveChatMessage|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method LiveChatMessage|$this pop(int $count = 1)
     * @method LiveChatMessage|null pull($key, \Closure $default = null)
     * @method LiveChatMessage|null last(callable $callback = null, \Closure $default = null)
     * @method LiveChatMessage|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method LiveChatMessage|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method LiveChatMessage|null get($key, \Closure $default = null)
     * @method LiveChatMessage|null first(callable $callback = null, \Closure $default = null)
     * @method LiveChatMessage|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method LiveChatMessage|null find($key, $default = null)
     * @method LiveChatMessage[] all()
     */
    class _IH_LiveChatMessage_C extends _BaseCollection {
        /**
         * @param int $size
         * @return LiveChatMessage[][]|Collection<_IH_LiveChatMessage_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_LiveChatMessage_QB whereId($value)
     * @method _IH_LiveChatMessage_QB whereLiveChatId($value)
     * @method _IH_LiveChatMessage_QB whereFromUser($value)
     * @method _IH_LiveChatMessage_QB whereMessage($value)
     * @method _IH_LiveChatMessage_QB whereFile($value)
     * @method _IH_LiveChatMessage_QB whereIsSeen($value)
     * @method _IH_LiveChatMessage_QB whereCreatedAt($value)
     * @method _IH_LiveChatMessage_QB whereUpdatedAt($value)
     * @method _IH_LiveChatMessage_QB whereLoadFrom($value)
     * @method _IH_LiveChatMessage_QB whereIsSynced($value)
     * @method LiveChatMessage baseSole(array|string $columns = ['*'])
     * @method LiveChatMessage create(array $attributes = [])
     * @method LiveChatMessage createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_LiveChatMessage_C|LiveChatMessage[] cursor()
     * @method LiveChatMessage|null|_IH_LiveChatMessage_C|LiveChatMessage[] find($id, array|string $columns = ['*'])
     * @method _IH_LiveChatMessage_C|LiveChatMessage[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method LiveChatMessage|_IH_LiveChatMessage_C|LiveChatMessage[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LiveChatMessage|_IH_LiveChatMessage_C|LiveChatMessage[] findOrFail($id, array|string $columns = ['*'])
     * @method LiveChatMessage|_IH_LiveChatMessage_C|LiveChatMessage[] findOrNew($id, array|string $columns = ['*'])
     * @method LiveChatMessage first(array|string $columns = ['*'])
     * @method LiveChatMessage firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LiveChatMessage firstOrCreate(array $attributes = [], array $values = [])
     * @method LiveChatMessage firstOrFail(array|string $columns = ['*'])
     * @method LiveChatMessage firstOrNew(array $attributes = [], array $values = [])
     * @method LiveChatMessage firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method LiveChatMessage forceCreate(array $attributes)
     * @method LiveChatMessage forceCreateQuietly(array $attributes = [])
     * @method _IH_LiveChatMessage_C|LiveChatMessage[] fromQuery(string $query, array $bindings = [])
     * @method _IH_LiveChatMessage_C|LiveChatMessage[] get(array|string $columns = ['*'])
     * @method LiveChatMessage getModel()
     * @method LiveChatMessage[] getModels(array|string $columns = ['*'])
     * @method _IH_LiveChatMessage_C|LiveChatMessage[] hydrate(array $items)
     * @method _IH_LiveChatMessage_C|LiveChatMessage[] lazy(int $chunkSize = 1000)
     * @method _IH_LiveChatMessage_C|LiveChatMessage[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_LiveChatMessage_C|LiveChatMessage[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method LiveChatMessage make(array $attributes = [])
     * @method LiveChatMessage newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|LiveChatMessage[]|_IH_LiveChatMessage_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|LiveChatMessage[]|_IH_LiveChatMessage_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method LiveChatMessage sole(array|string $columns = ['*'])
     * @method LiveChatMessage updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_LiveChatMessage_QB extends _BaseBuilder {}
    
    /**
     * @method LiveChat|null getOrPut($key, \Closure $value)
     * @method LiveChat|$this shift(int $count = 1)
     * @method LiveChat|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method LiveChat|$this pop(int $count = 1)
     * @method LiveChat|null pull($key, \Closure $default = null)
     * @method LiveChat|null last(callable $callback = null, \Closure $default = null)
     * @method LiveChat|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method LiveChat|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method LiveChat|null get($key, \Closure $default = null)
     * @method LiveChat|null first(callable $callback = null, \Closure $default = null)
     * @method LiveChat|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method LiveChat|null find($key, $default = null)
     * @method LiveChat[] all()
     */
    class _IH_LiveChat_C extends _BaseCollection {
        /**
         * @param int $size
         * @return LiveChat[][]|Collection<_IH_LiveChat_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_LiveChat_QB whereId($value)
     * @method _IH_LiveChat_QB whereClientId($value)
     * @method _IH_LiveChat_QB whereFreelancerId($value)
     * @method _IH_LiveChat_QB whereAdminId($value)
     * @method _IH_LiveChat_QB whereCreatedAt($value)
     * @method _IH_LiveChat_QB whereUpdatedAt($value)
     * @method LiveChat baseSole(array|string $columns = ['*'])
     * @method LiveChat create(array $attributes = [])
     * @method LiveChat createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_LiveChat_C|LiveChat[] cursor()
     * @method LiveChat|null|_IH_LiveChat_C|LiveChat[] find($id, array|string $columns = ['*'])
     * @method _IH_LiveChat_C|LiveChat[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method LiveChat|_IH_LiveChat_C|LiveChat[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LiveChat|_IH_LiveChat_C|LiveChat[] findOrFail($id, array|string $columns = ['*'])
     * @method LiveChat|_IH_LiveChat_C|LiveChat[] findOrNew($id, array|string $columns = ['*'])
     * @method LiveChat first(array|string $columns = ['*'])
     * @method LiveChat firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LiveChat firstOrCreate(array $attributes = [], array $values = [])
     * @method LiveChat firstOrFail(array|string $columns = ['*'])
     * @method LiveChat firstOrNew(array $attributes = [], array $values = [])
     * @method LiveChat firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method LiveChat forceCreate(array $attributes)
     * @method LiveChat forceCreateQuietly(array $attributes = [])
     * @method _IH_LiveChat_C|LiveChat[] fromQuery(string $query, array $bindings = [])
     * @method _IH_LiveChat_C|LiveChat[] get(array|string $columns = ['*'])
     * @method LiveChat getModel()
     * @method LiveChat[] getModels(array|string $columns = ['*'])
     * @method _IH_LiveChat_C|LiveChat[] hydrate(array $items)
     * @method _IH_LiveChat_C|LiveChat[] lazy(int $chunkSize = 1000)
     * @method _IH_LiveChat_C|LiveChat[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_LiveChat_C|LiveChat[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method LiveChat make(array $attributes = [])
     * @method LiveChat newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|LiveChat[]|_IH_LiveChat_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|LiveChat[]|_IH_LiveChat_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method LiveChat sole(array|string $columns = ['*'])
     * @method LiveChat updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_LiveChat_QB extends _BaseBuilder {}
    
    /**
     * @method OfferMilestone|null getOrPut($key, \Closure $value)
     * @method OfferMilestone|$this shift(int $count = 1)
     * @method OfferMilestone|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OfferMilestone|$this pop(int $count = 1)
     * @method OfferMilestone|null pull($key, \Closure $default = null)
     * @method OfferMilestone|null last(callable $callback = null, \Closure $default = null)
     * @method OfferMilestone|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OfferMilestone|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OfferMilestone|null get($key, \Closure $default = null)
     * @method OfferMilestone|null first(callable $callback = null, \Closure $default = null)
     * @method OfferMilestone|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OfferMilestone|null find($key, $default = null)
     * @method OfferMilestone[] all()
     */
    class _IH_OfferMilestone_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OfferMilestone[][]|Collection<_IH_OfferMilestone_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OfferMilestone_QB whereId($value)
     * @method _IH_OfferMilestone_QB whereOfferId($value)
     * @method _IH_OfferMilestone_QB whereTitle($value)
     * @method _IH_OfferMilestone_QB whereDescription($value)
     * @method _IH_OfferMilestone_QB wherePrice($value)
     * @method _IH_OfferMilestone_QB whereDeadline($value)
     * @method _IH_OfferMilestone_QB whereStatus($value)
     * @method _IH_OfferMilestone_QB whereRevision($value)
     * @method _IH_OfferMilestone_QB whereRevisionLeft($value)
     * @method _IH_OfferMilestone_QB whereAttachment($value)
     * @method _IH_OfferMilestone_QB whereCreatedAt($value)
     * @method _IH_OfferMilestone_QB whereUpdatedAt($value)
     * @method OfferMilestone baseSole(array|string $columns = ['*'])
     * @method OfferMilestone create(array $attributes = [])
     * @method OfferMilestone createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_OfferMilestone_C|OfferMilestone[] cursor()
     * @method OfferMilestone|null|_IH_OfferMilestone_C|OfferMilestone[] find($id, array|string $columns = ['*'])
     * @method _IH_OfferMilestone_C|OfferMilestone[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OfferMilestone|_IH_OfferMilestone_C|OfferMilestone[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OfferMilestone|_IH_OfferMilestone_C|OfferMilestone[] findOrFail($id, array|string $columns = ['*'])
     * @method OfferMilestone|_IH_OfferMilestone_C|OfferMilestone[] findOrNew($id, array|string $columns = ['*'])
     * @method OfferMilestone first(array|string $columns = ['*'])
     * @method OfferMilestone firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method OfferMilestone firstOrCreate(array $attributes = [], array $values = [])
     * @method OfferMilestone firstOrFail(array|string $columns = ['*'])
     * @method OfferMilestone firstOrNew(array $attributes = [], array $values = [])
     * @method OfferMilestone firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OfferMilestone forceCreate(array $attributes)
     * @method OfferMilestone forceCreateQuietly(array $attributes = [])
     * @method _IH_OfferMilestone_C|OfferMilestone[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OfferMilestone_C|OfferMilestone[] get(array|string $columns = ['*'])
     * @method OfferMilestone getModel()
     * @method OfferMilestone[] getModels(array|string $columns = ['*'])
     * @method _IH_OfferMilestone_C|OfferMilestone[] hydrate(array $items)
     * @method _IH_OfferMilestone_C|OfferMilestone[] lazy(int $chunkSize = 1000)
     * @method _IH_OfferMilestone_C|OfferMilestone[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OfferMilestone_C|OfferMilestone[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OfferMilestone make(array $attributes = [])
     * @method OfferMilestone newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OfferMilestone[]|_IH_OfferMilestone_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|OfferMilestone[]|_IH_OfferMilestone_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OfferMilestone sole(array|string $columns = ['*'])
     * @method OfferMilestone updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OfferMilestone_QB extends _BaseBuilder {}
    
    /**
     * @method Offer|null getOrPut($key, \Closure $value)
     * @method Offer|$this shift(int $count = 1)
     * @method Offer|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Offer|$this pop(int $count = 1)
     * @method Offer|null pull($key, \Closure $default = null)
     * @method Offer|null last(callable $callback = null, \Closure $default = null)
     * @method Offer|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Offer|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Offer|null get($key, \Closure $default = null)
     * @method Offer|null first(callable $callback = null, \Closure $default = null)
     * @method Offer|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Offer|null find($key, $default = null)
     * @method Offer[] all()
     */
    class _IH_Offer_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Offer[][]|Collection<_IH_Offer_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Offer_QB whereId($value)
     * @method _IH_Offer_QB whereFreelancerId($value)
     * @method _IH_Offer_QB whereClientId($value)
     * @method _IH_Offer_QB wherePrice($value)
     * @method _IH_Offer_QB whereDescription($value)
     * @method _IH_Offer_QB whereDeadline($value)
     * @method _IH_Offer_QB whereStatus($value)
     * @method _IH_Offer_QB whereRevision($value)
     * @method _IH_Offer_QB whereRevisionLeft($value)
     * @method _IH_Offer_QB whereAttachment($value)
     * @method _IH_Offer_QB whereCreatedAt($value)
     * @method _IH_Offer_QB whereUpdatedAt($value)
     * @method Offer baseSole(array|string $columns = ['*'])
     * @method Offer create(array $attributes = [])
     * @method Offer createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Offer_C|Offer[] cursor()
     * @method Offer|null|_IH_Offer_C|Offer[] find($id, array|string $columns = ['*'])
     * @method _IH_Offer_C|Offer[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Offer|_IH_Offer_C|Offer[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Offer|_IH_Offer_C|Offer[] findOrFail($id, array|string $columns = ['*'])
     * @method Offer|_IH_Offer_C|Offer[] findOrNew($id, array|string $columns = ['*'])
     * @method Offer first(array|string $columns = ['*'])
     * @method Offer firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Offer firstOrCreate(array $attributes = [], array $values = [])
     * @method Offer firstOrFail(array|string $columns = ['*'])
     * @method Offer firstOrNew(array $attributes = [], array $values = [])
     * @method Offer firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Offer forceCreate(array $attributes)
     * @method Offer forceCreateQuietly(array $attributes = [])
     * @method _IH_Offer_C|Offer[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Offer_C|Offer[] get(array|string $columns = ['*'])
     * @method Offer getModel()
     * @method Offer[] getModels(array|string $columns = ['*'])
     * @method _IH_Offer_C|Offer[] hydrate(array $items)
     * @method _IH_Offer_C|Offer[] lazy(int $chunkSize = 1000)
     * @method _IH_Offer_C|Offer[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Offer_C|Offer[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Offer make(array $attributes = [])
     * @method Offer newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Offer[]|_IH_Offer_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Offer[]|_IH_Offer_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Offer sole(array|string $columns = ['*'])
     * @method Offer updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Offer_QB extends _BaseBuilder {}
}