<?php //64880b9cc4e323c92595dc296530007e
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\PromoteFreelancer\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\PromoteFreelancer\Entities\ProjectPromoteSettings;
    use Modules\PromoteFreelancer\Entities\PromotionProjectList;
    
    /**
     * @method ProjectPromoteSettings|null getOrPut($key, \Closure $value)
     * @method ProjectPromoteSettings|$this shift(int $count = 1)
     * @method ProjectPromoteSettings|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ProjectPromoteSettings|$this pop(int $count = 1)
     * @method ProjectPromoteSettings|null pull($key, \Closure $default = null)
     * @method ProjectPromoteSettings|null last(callable $callback = null, \Closure $default = null)
     * @method ProjectPromoteSettings|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ProjectPromoteSettings|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ProjectPromoteSettings|null get($key, \Closure $default = null)
     * @method ProjectPromoteSettings|null first(callable $callback = null, \Closure $default = null)
     * @method ProjectPromoteSettings|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ProjectPromoteSettings|null find($key, $default = null)
     * @method ProjectPromoteSettings[] all()
     */
    class _IH_ProjectPromoteSettings_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ProjectPromoteSettings[][]|Collection<_IH_ProjectPromoteSettings_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ProjectPromoteSettings_QB whereId($value)
     * @method _IH_ProjectPromoteSettings_QB whereTitle($value)
     * @method _IH_ProjectPromoteSettings_QB whereImage($value)
     * @method _IH_ProjectPromoteSettings_QB whereBudget($value)
     * @method _IH_ProjectPromoteSettings_QB whereDuration($value)
     * @method _IH_ProjectPromoteSettings_QB whereStatus($value)
     * @method _IH_ProjectPromoteSettings_QB whereCreatedAt($value)
     * @method _IH_ProjectPromoteSettings_QB whereUpdatedAt($value)
     * @method ProjectPromoteSettings baseSole(array|string $columns = ['*'])
     * @method ProjectPromoteSettings create(array $attributes = [])
     * @method ProjectPromoteSettings createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_ProjectPromoteSettings_C|ProjectPromoteSettings[] cursor()
     * @method ProjectPromoteSettings|null|_IH_ProjectPromoteSettings_C|ProjectPromoteSettings[] find($id, array|string $columns = ['*'])
     * @method _IH_ProjectPromoteSettings_C|ProjectPromoteSettings[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ProjectPromoteSettings|_IH_ProjectPromoteSettings_C|ProjectPromoteSettings[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProjectPromoteSettings|_IH_ProjectPromoteSettings_C|ProjectPromoteSettings[] findOrFail($id, array|string $columns = ['*'])
     * @method ProjectPromoteSettings|_IH_ProjectPromoteSettings_C|ProjectPromoteSettings[] findOrNew($id, array|string $columns = ['*'])
     * @method ProjectPromoteSettings first(array|string $columns = ['*'])
     * @method ProjectPromoteSettings firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ProjectPromoteSettings firstOrCreate(array $attributes = [], array $values = [])
     * @method ProjectPromoteSettings firstOrFail(array|string $columns = ['*'])
     * @method ProjectPromoteSettings firstOrNew(array $attributes = [], array $values = [])
     * @method ProjectPromoteSettings firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ProjectPromoteSettings forceCreate(array $attributes)
     * @method ProjectPromoteSettings forceCreateQuietly(array $attributes = [])
     * @method _IH_ProjectPromoteSettings_C|ProjectPromoteSettings[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ProjectPromoteSettings_C|ProjectPromoteSettings[] get(array|string $columns = ['*'])
     * @method ProjectPromoteSettings getModel()
     * @method ProjectPromoteSettings[] getModels(array|string $columns = ['*'])
     * @method _IH_ProjectPromoteSettings_C|ProjectPromoteSettings[] hydrate(array $items)
     * @method _IH_ProjectPromoteSettings_C|ProjectPromoteSettings[] lazy(int $chunkSize = 1000)
     * @method _IH_ProjectPromoteSettings_C|ProjectPromoteSettings[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ProjectPromoteSettings_C|ProjectPromoteSettings[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ProjectPromoteSettings make(array $attributes = [])
     * @method ProjectPromoteSettings newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ProjectPromoteSettings[]|_IH_ProjectPromoteSettings_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ProjectPromoteSettings[]|_IH_ProjectPromoteSettings_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ProjectPromoteSettings sole(array|string $columns = ['*'])
     * @method ProjectPromoteSettings updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ProjectPromoteSettings_QB extends _BaseBuilder {}
    
    /**
     * @method PromotionProjectList|null getOrPut($key, \Closure $value)
     * @method PromotionProjectList|$this shift(int $count = 1)
     * @method PromotionProjectList|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PromotionProjectList|$this pop(int $count = 1)
     * @method PromotionProjectList|null pull($key, \Closure $default = null)
     * @method PromotionProjectList|null last(callable $callback = null, \Closure $default = null)
     * @method PromotionProjectList|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PromotionProjectList|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PromotionProjectList|null get($key, \Closure $default = null)
     * @method PromotionProjectList|null first(callable $callback = null, \Closure $default = null)
     * @method PromotionProjectList|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PromotionProjectList|null find($key, $default = null)
     * @method PromotionProjectList[] all()
     */
    class _IH_PromotionProjectList_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PromotionProjectList[][]|Collection<_IH_PromotionProjectList_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PromotionProjectList_QB whereId($value)
     * @method _IH_PromotionProjectList_QB whereUserId($value)
     * @method _IH_PromotionProjectList_QB whereIdentity($value)
     * @method _IH_PromotionProjectList_QB whereType($value)
     * @method _IH_PromotionProjectList_QB wherePackageId($value)
     * @method _IH_PromotionProjectList_QB wherePrice($value)
     * @method _IH_PromotionProjectList_QB whereTransactionFee($value)
     * @method _IH_PromotionProjectList_QB whereDuration($value)
     * @method _IH_PromotionProjectList_QB whereExpireDate($value)
     * @method _IH_PromotionProjectList_QB wherePaymentGateway($value)
     * @method _IH_PromotionProjectList_QB wherePaymentStatus($value)
     * @method _IH_PromotionProjectList_QB whereStatus($value)
     * @method _IH_PromotionProjectList_QB whereTransactionId($value)
     * @method _IH_PromotionProjectList_QB whereManualPaymentImage($value)
     * @method _IH_PromotionProjectList_QB whereImpression($value)
     * @method _IH_PromotionProjectList_QB whereClick($value)
     * @method _IH_PromotionProjectList_QB whereCountry($value)
     * @method _IH_PromotionProjectList_QB whereCreatedAt($value)
     * @method _IH_PromotionProjectList_QB whereUpdatedAt($value)
     * @method _IH_PromotionProjectList_QB whereIsValidPayment($value)
     * @method _IH_PromotionProjectList_QB whereEmailSend($value)
     * @method PromotionProjectList baseSole(array|string $columns = ['*'])
     * @method PromotionProjectList create(array $attributes = [])
     * @method PromotionProjectList createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_PromotionProjectList_C|PromotionProjectList[] cursor()
     * @method PromotionProjectList|null|_IH_PromotionProjectList_C|PromotionProjectList[] find($id, array|string $columns = ['*'])
     * @method _IH_PromotionProjectList_C|PromotionProjectList[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PromotionProjectList|_IH_PromotionProjectList_C|PromotionProjectList[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PromotionProjectList|_IH_PromotionProjectList_C|PromotionProjectList[] findOrFail($id, array|string $columns = ['*'])
     * @method PromotionProjectList|_IH_PromotionProjectList_C|PromotionProjectList[] findOrNew($id, array|string $columns = ['*'])
     * @method PromotionProjectList first(array|string $columns = ['*'])
     * @method PromotionProjectList firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PromotionProjectList firstOrCreate(array $attributes = [], array $values = [])
     * @method PromotionProjectList firstOrFail(array|string $columns = ['*'])
     * @method PromotionProjectList firstOrNew(array $attributes = [], array $values = [])
     * @method PromotionProjectList firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PromotionProjectList forceCreate(array $attributes)
     * @method PromotionProjectList forceCreateQuietly(array $attributes = [])
     * @method _IH_PromotionProjectList_C|PromotionProjectList[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PromotionProjectList_C|PromotionProjectList[] get(array|string $columns = ['*'])
     * @method PromotionProjectList getModel()
     * @method PromotionProjectList[] getModels(array|string $columns = ['*'])
     * @method _IH_PromotionProjectList_C|PromotionProjectList[] hydrate(array $items)
     * @method _IH_PromotionProjectList_C|PromotionProjectList[] lazy(int $chunkSize = 1000)
     * @method _IH_PromotionProjectList_C|PromotionProjectList[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PromotionProjectList_C|PromotionProjectList[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PromotionProjectList make(array $attributes = [])
     * @method PromotionProjectList newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PromotionProjectList[]|_IH_PromotionProjectList_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|PromotionProjectList[]|_IH_PromotionProjectList_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PromotionProjectList sole(array|string $columns = ['*'])
     * @method PromotionProjectList updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PromotionProjectList_QB extends _BaseBuilder {}
}