<?php //f45be74bbfda76458eaecd3490e4c640
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\SecurityManage\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\SecurityManage\Entities\LogActivity;
    use Modules\SecurityManage\Entities\Word;
    
    /**
     * @method LogActivity|null getOrPut($key, \Closure $value)
     * @method LogActivity|$this shift(int $count = 1)
     * @method LogActivity|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method LogActivity|$this pop(int $count = 1)
     * @method LogActivity|null pull($key, \Closure $default = null)
     * @method LogActivity|null last(callable $callback = null, \Closure $default = null)
     * @method LogActivity|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method LogActivity|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method LogActivity|null get($key, \Closure $default = null)
     * @method LogActivity|null first(callable $callback = null, \Closure $default = null)
     * @method LogActivity|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method LogActivity|null find($key, $default = null)
     * @method LogActivity[] all()
     */
    class _IH_LogActivity_C extends _BaseCollection {
        /**
         * @param int $size
         * @return LogActivity[][]|Collection<_IH_LogActivity_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_LogActivity_QB whereId($value)
     * @method _IH_LogActivity_QB whereSubject($value)
     * @method _IH_LogActivity_QB whereUrl($value)
     * @method _IH_LogActivity_QB whereMethod($value)
     * @method _IH_LogActivity_QB whereIp($value)
     * @method _IH_LogActivity_QB whereAgent($value)
     * @method _IH_LogActivity_QB whereType($value)
     * @method _IH_LogActivity_QB whereUserId($value)
     * @method _IH_LogActivity_QB whereCreatedAt($value)
     * @method _IH_LogActivity_QB whereUpdatedAt($value)
     * @method LogActivity baseSole(array|string $columns = ['*'])
     * @method LogActivity create(array $attributes = [])
     * @method LogActivity createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_LogActivity_C|LogActivity[] cursor()
     * @method LogActivity|null|_IH_LogActivity_C|LogActivity[] find($id, array|string $columns = ['*'])
     * @method _IH_LogActivity_C|LogActivity[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method LogActivity|_IH_LogActivity_C|LogActivity[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LogActivity|_IH_LogActivity_C|LogActivity[] findOrFail($id, array|string $columns = ['*'])
     * @method LogActivity|_IH_LogActivity_C|LogActivity[] findOrNew($id, array|string $columns = ['*'])
     * @method LogActivity first(array|string $columns = ['*'])
     * @method LogActivity firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LogActivity firstOrCreate(array $attributes = [], array $values = [])
     * @method LogActivity firstOrFail(array|string $columns = ['*'])
     * @method LogActivity firstOrNew(array $attributes = [], array $values = [])
     * @method LogActivity firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method LogActivity forceCreate(array $attributes)
     * @method LogActivity forceCreateQuietly(array $attributes = [])
     * @method _IH_LogActivity_C|LogActivity[] fromQuery(string $query, array $bindings = [])
     * @method _IH_LogActivity_C|LogActivity[] get(array|string $columns = ['*'])
     * @method LogActivity getModel()
     * @method LogActivity[] getModels(array|string $columns = ['*'])
     * @method _IH_LogActivity_C|LogActivity[] hydrate(array $items)
     * @method _IH_LogActivity_C|LogActivity[] lazy(int $chunkSize = 1000)
     * @method _IH_LogActivity_C|LogActivity[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_LogActivity_C|LogActivity[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method LogActivity make(array $attributes = [])
     * @method LogActivity newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|LogActivity[]|_IH_LogActivity_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|LogActivity[]|_IH_LogActivity_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method LogActivity sole(array|string $columns = ['*'])
     * @method LogActivity updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_LogActivity_QB extends _BaseBuilder {}
    
    /**
     * @method Word|null getOrPut($key, \Closure $value)
     * @method Word|$this shift(int $count = 1)
     * @method Word|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Word|$this pop(int $count = 1)
     * @method Word|null pull($key, \Closure $default = null)
     * @method Word|null last(callable $callback = null, \Closure $default = null)
     * @method Word|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Word|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Word|null get($key, \Closure $default = null)
     * @method Word|null first(callable $callback = null, \Closure $default = null)
     * @method Word|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Word|null find($key, $default = null)
     * @method Word[] all()
     */
    class _IH_Word_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Word[][]|Collection<_IH_Word_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Word_QB whereId($value)
     * @method _IH_Word_QB whereWord($value)
     * @method _IH_Word_QB whereStatus($value)
     * @method _IH_Word_QB whereCreatedAt($value)
     * @method _IH_Word_QB whereUpdatedAt($value)
     * @method Word baseSole(array|string $columns = ['*'])
     * @method Word create(array $attributes = [])
     * @method Word createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Word_C|Word[] cursor()
     * @method Word|null|_IH_Word_C|Word[] find($id, array|string $columns = ['*'])
     * @method _IH_Word_C|Word[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Word|_IH_Word_C|Word[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Word|_IH_Word_C|Word[] findOrFail($id, array|string $columns = ['*'])
     * @method Word|_IH_Word_C|Word[] findOrNew($id, array|string $columns = ['*'])
     * @method Word first(array|string $columns = ['*'])
     * @method Word firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Word firstOrCreate(array $attributes = [], array $values = [])
     * @method Word firstOrFail(array|string $columns = ['*'])
     * @method Word firstOrNew(array $attributes = [], array $values = [])
     * @method Word firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Word forceCreate(array $attributes)
     * @method Word forceCreateQuietly(array $attributes = [])
     * @method _IH_Word_C|Word[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Word_C|Word[] get(array|string $columns = ['*'])
     * @method Word getModel()
     * @method Word[] getModels(array|string $columns = ['*'])
     * @method _IH_Word_C|Word[] hydrate(array $items)
     * @method _IH_Word_C|Word[] lazy(int $chunkSize = 1000)
     * @method _IH_Word_C|Word[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Word_C|Word[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Word make(array $attributes = [])
     * @method Word newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Word[]|_IH_Word_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Word[]|_IH_Word_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Word sole(array|string $columns = ['*'])
     * @method Word updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Word_QB extends _BaseBuilder {}
}