<?php //052d02b4cb27ae3bb6cada29b42b374f
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Wallet\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Wallet\Entities\Wallet;
    use Modules\Wallet\Entities\WalletHistory;
    use Modules\Wallet\Entities\WithdrawGateway;
    use Modules\Wallet\Entities\WithdrawRequest;
    
    /**
     * @method WalletHistory|null getOrPut($key, \Closure $value)
     * @method WalletHistory|$this shift(int $count = 1)
     * @method WalletHistory|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method WalletHistory|$this pop(int $count = 1)
     * @method WalletHistory|null pull($key, \Closure $default = null)
     * @method WalletHistory|null last(callable $callback = null, \Closure $default = null)
     * @method WalletHistory|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method WalletHistory|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method WalletHistory|null get($key, \Closure $default = null)
     * @method WalletHistory|null first(callable $callback = null, \Closure $default = null)
     * @method WalletHistory|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method WalletHistory|null find($key, $default = null)
     * @method WalletHistory[] all()
     */
    class _IH_WalletHistory_C extends _BaseCollection {
        /**
         * @param int $size
         * @return WalletHistory[][]|Collection<_IH_WalletHistory_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_WalletHistory_QB whereId($value)
     * @method _IH_WalletHistory_QB whereUserId($value)
     * @method _IH_WalletHistory_QB wherePaymentGateway($value)
     * @method _IH_WalletHistory_QB wherePaymentStatus($value)
     * @method _IH_WalletHistory_QB whereAmount($value)
     * @method _IH_WalletHistory_QB whereTransactionId($value)
     * @method _IH_WalletHistory_QB whereManualPaymentImage($value)
     * @method _IH_WalletHistory_QB whereStatus($value)
     * @method _IH_WalletHistory_QB whereCreatedAt($value)
     * @method _IH_WalletHistory_QB whereUpdatedAt($value)
     * @method _IH_WalletHistory_QB whereEmailSend($value)
     * @method WalletHistory baseSole(array|string $columns = ['*'])
     * @method WalletHistory create(array $attributes = [])
     * @method WalletHistory createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_WalletHistory_C|WalletHistory[] cursor()
     * @method WalletHistory|null|_IH_WalletHistory_C|WalletHistory[] find($id, array|string $columns = ['*'])
     * @method _IH_WalletHistory_C|WalletHistory[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method WalletHistory|_IH_WalletHistory_C|WalletHistory[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WalletHistory|_IH_WalletHistory_C|WalletHistory[] findOrFail($id, array|string $columns = ['*'])
     * @method WalletHistory|_IH_WalletHistory_C|WalletHistory[] findOrNew($id, array|string $columns = ['*'])
     * @method WalletHistory first(array|string $columns = ['*'])
     * @method WalletHistory firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WalletHistory firstOrCreate(array $attributes = [], array $values = [])
     * @method WalletHistory firstOrFail(array|string $columns = ['*'])
     * @method WalletHistory firstOrNew(array $attributes = [], array $values = [])
     * @method WalletHistory firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method WalletHistory forceCreate(array $attributes)
     * @method WalletHistory forceCreateQuietly(array $attributes = [])
     * @method _IH_WalletHistory_C|WalletHistory[] fromQuery(string $query, array $bindings = [])
     * @method _IH_WalletHistory_C|WalletHistory[] get(array|string $columns = ['*'])
     * @method WalletHistory getModel()
     * @method WalletHistory[] getModels(array|string $columns = ['*'])
     * @method _IH_WalletHistory_C|WalletHistory[] hydrate(array $items)
     * @method _IH_WalletHistory_C|WalletHistory[] lazy(int $chunkSize = 1000)
     * @method _IH_WalletHistory_C|WalletHistory[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_WalletHistory_C|WalletHistory[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method WalletHistory make(array $attributes = [])
     * @method WalletHistory newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|WalletHistory[]|_IH_WalletHistory_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|WalletHistory[]|_IH_WalletHistory_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method WalletHistory sole(array|string $columns = ['*'])
     * @method WalletHistory updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_WalletHistory_QB extends _BaseBuilder {}
    
    /**
     * @method Wallet|null getOrPut($key, \Closure $value)
     * @method Wallet|$this shift(int $count = 1)
     * @method Wallet|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Wallet|$this pop(int $count = 1)
     * @method Wallet|null pull($key, \Closure $default = null)
     * @method Wallet|null last(callable $callback = null, \Closure $default = null)
     * @method Wallet|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Wallet|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Wallet|null get($key, \Closure $default = null)
     * @method Wallet|null first(callable $callback = null, \Closure $default = null)
     * @method Wallet|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Wallet|null find($key, $default = null)
     * @method Wallet[] all()
     */
    class _IH_Wallet_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Wallet[][]|Collection<_IH_Wallet_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Wallet_QB whereId($value)
     * @method _IH_Wallet_QB whereUserId($value)
     * @method _IH_Wallet_QB whereBalance($value)
     * @method _IH_Wallet_QB whereStatus($value)
     * @method _IH_Wallet_QB whereCreatedAt($value)
     * @method _IH_Wallet_QB whereUpdatedAt($value)
     * @method _IH_Wallet_QB whereRemainingBalance($value)
     * @method _IH_Wallet_QB whereWithdrawAmount($value)
     * @method Wallet baseSole(array|string $columns = ['*'])
     * @method Wallet create(array $attributes = [])
     * @method Wallet createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Wallet_C|Wallet[] cursor()
     * @method Wallet|null|_IH_Wallet_C|Wallet[] find($id, array|string $columns = ['*'])
     * @method _IH_Wallet_C|Wallet[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Wallet|_IH_Wallet_C|Wallet[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Wallet|_IH_Wallet_C|Wallet[] findOrFail($id, array|string $columns = ['*'])
     * @method Wallet|_IH_Wallet_C|Wallet[] findOrNew($id, array|string $columns = ['*'])
     * @method Wallet first(array|string $columns = ['*'])
     * @method Wallet firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Wallet firstOrCreate(array $attributes = [], array $values = [])
     * @method Wallet firstOrFail(array|string $columns = ['*'])
     * @method Wallet firstOrNew(array $attributes = [], array $values = [])
     * @method Wallet firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Wallet forceCreate(array $attributes)
     * @method Wallet forceCreateQuietly(array $attributes = [])
     * @method _IH_Wallet_C|Wallet[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Wallet_C|Wallet[] get(array|string $columns = ['*'])
     * @method Wallet getModel()
     * @method Wallet[] getModels(array|string $columns = ['*'])
     * @method _IH_Wallet_C|Wallet[] hydrate(array $items)
     * @method _IH_Wallet_C|Wallet[] lazy(int $chunkSize = 1000)
     * @method _IH_Wallet_C|Wallet[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Wallet_C|Wallet[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Wallet make(array $attributes = [])
     * @method Wallet newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Wallet[]|_IH_Wallet_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Wallet[]|_IH_Wallet_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Wallet sole(array|string $columns = ['*'])
     * @method Wallet updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Wallet_QB extends _BaseBuilder {}
    
    /**
     * @method WithdrawGateway|null getOrPut($key, \Closure $value)
     * @method WithdrawGateway|$this shift(int $count = 1)
     * @method WithdrawGateway|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method WithdrawGateway|$this pop(int $count = 1)
     * @method WithdrawGateway|null pull($key, \Closure $default = null)
     * @method WithdrawGateway|null last(callable $callback = null, \Closure $default = null)
     * @method WithdrawGateway|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method WithdrawGateway|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method WithdrawGateway|null get($key, \Closure $default = null)
     * @method WithdrawGateway|null first(callable $callback = null, \Closure $default = null)
     * @method WithdrawGateway|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method WithdrawGateway|null find($key, $default = null)
     * @method WithdrawGateway[] all()
     */
    class _IH_WithdrawGateway_C extends _BaseCollection {
        /**
         * @param int $size
         * @return WithdrawGateway[][]|Collection<_IH_WithdrawGateway_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_WithdrawGateway_QB whereId($value)
     * @method _IH_WithdrawGateway_QB whereName($value)
     * @method _IH_WithdrawGateway_QB whereField($value)
     * @method _IH_WithdrawGateway_QB whereStatus($value)
     * @method _IH_WithdrawGateway_QB whereCreatedAt($value)
     * @method _IH_WithdrawGateway_QB whereUpdatedAt($value)
     * @method WithdrawGateway baseSole(array|string $columns = ['*'])
     * @method WithdrawGateway create(array $attributes = [])
     * @method WithdrawGateway createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_WithdrawGateway_C|WithdrawGateway[] cursor()
     * @method WithdrawGateway|null|_IH_WithdrawGateway_C|WithdrawGateway[] find($id, array|string $columns = ['*'])
     * @method _IH_WithdrawGateway_C|WithdrawGateway[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method WithdrawGateway|_IH_WithdrawGateway_C|WithdrawGateway[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WithdrawGateway|_IH_WithdrawGateway_C|WithdrawGateway[] findOrFail($id, array|string $columns = ['*'])
     * @method WithdrawGateway|_IH_WithdrawGateway_C|WithdrawGateway[] findOrNew($id, array|string $columns = ['*'])
     * @method WithdrawGateway first(array|string $columns = ['*'])
     * @method WithdrawGateway firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WithdrawGateway firstOrCreate(array $attributes = [], array $values = [])
     * @method WithdrawGateway firstOrFail(array|string $columns = ['*'])
     * @method WithdrawGateway firstOrNew(array $attributes = [], array $values = [])
     * @method WithdrawGateway firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method WithdrawGateway forceCreate(array $attributes)
     * @method WithdrawGateway forceCreateQuietly(array $attributes = [])
     * @method _IH_WithdrawGateway_C|WithdrawGateway[] fromQuery(string $query, array $bindings = [])
     * @method _IH_WithdrawGateway_C|WithdrawGateway[] get(array|string $columns = ['*'])
     * @method WithdrawGateway getModel()
     * @method WithdrawGateway[] getModels(array|string $columns = ['*'])
     * @method _IH_WithdrawGateway_C|WithdrawGateway[] hydrate(array $items)
     * @method _IH_WithdrawGateway_C|WithdrawGateway[] lazy(int $chunkSize = 1000)
     * @method _IH_WithdrawGateway_C|WithdrawGateway[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_WithdrawGateway_C|WithdrawGateway[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method WithdrawGateway make(array $attributes = [])
     * @method WithdrawGateway newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|WithdrawGateway[]|_IH_WithdrawGateway_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|WithdrawGateway[]|_IH_WithdrawGateway_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method WithdrawGateway sole(array|string $columns = ['*'])
     * @method WithdrawGateway updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_WithdrawGateway_QB extends _BaseBuilder {}
    
    /**
     * @method WithdrawRequest|null getOrPut($key, \Closure $value)
     * @method WithdrawRequest|$this shift(int $count = 1)
     * @method WithdrawRequest|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method WithdrawRequest|$this pop(int $count = 1)
     * @method WithdrawRequest|null pull($key, \Closure $default = null)
     * @method WithdrawRequest|null last(callable $callback = null, \Closure $default = null)
     * @method WithdrawRequest|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method WithdrawRequest|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method WithdrawRequest|null get($key, \Closure $default = null)
     * @method WithdrawRequest|null first(callable $callback = null, \Closure $default = null)
     * @method WithdrawRequest|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method WithdrawRequest|null find($key, $default = null)
     * @method WithdrawRequest[] all()
     */
    class _IH_WithdrawRequest_C extends _BaseCollection {
        /**
         * @param int $size
         * @return WithdrawRequest[][]|Collection<_IH_WithdrawRequest_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_WithdrawRequest_QB whereId($value)
     * @method _IH_WithdrawRequest_QB whereAmount($value)
     * @method _IH_WithdrawRequest_QB whereGatewayId($value)
     * @method _IH_WithdrawRequest_QB whereUserId($value)
     * @method _IH_WithdrawRequest_QB whereStatus($value)
     * @method _IH_WithdrawRequest_QB whereGatewayFields($value)
     * @method _IH_WithdrawRequest_QB whereNote($value)
     * @method _IH_WithdrawRequest_QB whereImage($value)
     * @method _IH_WithdrawRequest_QB whereCreatedAt($value)
     * @method _IH_WithdrawRequest_QB whereUpdatedAt($value)
     * @method WithdrawRequest baseSole(array|string $columns = ['*'])
     * @method WithdrawRequest create(array $attributes = [])
     * @method WithdrawRequest createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_WithdrawRequest_C|WithdrawRequest[] cursor()
     * @method WithdrawRequest|null|_IH_WithdrawRequest_C|WithdrawRequest[] find($id, array|string $columns = ['*'])
     * @method _IH_WithdrawRequest_C|WithdrawRequest[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method WithdrawRequest|_IH_WithdrawRequest_C|WithdrawRequest[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WithdrawRequest|_IH_WithdrawRequest_C|WithdrawRequest[] findOrFail($id, array|string $columns = ['*'])
     * @method WithdrawRequest|_IH_WithdrawRequest_C|WithdrawRequest[] findOrNew($id, array|string $columns = ['*'])
     * @method WithdrawRequest first(array|string $columns = ['*'])
     * @method WithdrawRequest firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WithdrawRequest firstOrCreate(array $attributes = [], array $values = [])
     * @method WithdrawRequest firstOrFail(array|string $columns = ['*'])
     * @method WithdrawRequest firstOrNew(array $attributes = [], array $values = [])
     * @method WithdrawRequest firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method WithdrawRequest forceCreate(array $attributes)
     * @method WithdrawRequest forceCreateQuietly(array $attributes = [])
     * @method _IH_WithdrawRequest_C|WithdrawRequest[] fromQuery(string $query, array $bindings = [])
     * @method _IH_WithdrawRequest_C|WithdrawRequest[] get(array|string $columns = ['*'])
     * @method WithdrawRequest getModel()
     * @method WithdrawRequest[] getModels(array|string $columns = ['*'])
     * @method _IH_WithdrawRequest_C|WithdrawRequest[] hydrate(array $items)
     * @method _IH_WithdrawRequest_C|WithdrawRequest[] lazy(int $chunkSize = 1000)
     * @method _IH_WithdrawRequest_C|WithdrawRequest[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_WithdrawRequest_C|WithdrawRequest[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method WithdrawRequest make(array $attributes = [])
     * @method WithdrawRequest newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|WithdrawRequest[]|_IH_WithdrawRequest_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|WithdrawRequest[]|_IH_WithdrawRequest_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method WithdrawRequest sole(array|string $columns = ['*'])
     * @method WithdrawRequest updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_WithdrawRequest_QB extends _BaseBuilder {}
}