<?php //abe618efc8af31bcb0fb5b9701a9d259
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\SupportTicket\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\SupportTicket\Entities\ChatMessage;
    use Modules\SupportTicket\Entities\Department;
    use Modules\SupportTicket\Entities\Ticket;
    
    /**
     * @method ChatMessage|null getOrPut($key, \Closure $value)
     * @method ChatMessage|$this shift(int $count = 1)
     * @method ChatMessage|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ChatMessage|$this pop(int $count = 1)
     * @method ChatMessage|null pull($key, \Closure $default = null)
     * @method ChatMessage|null last(callable $callback = null, \Closure $default = null)
     * @method ChatMessage|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ChatMessage|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ChatMessage|null get($key, \Closure $default = null)
     * @method ChatMessage|null first(callable $callback = null, \Closure $default = null)
     * @method ChatMessage|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ChatMessage|null find($key, $default = null)
     * @method ChatMessage[] all()
     */
    class _IH_ChatMessage_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ChatMessage[][]|Collection<_IH_ChatMessage_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ChatMessage_QB whereId($value)
     * @method _IH_ChatMessage_QB whereTicketId($value)
     * @method _IH_ChatMessage_QB whereMessage($value)
     * @method _IH_ChatMessage_QB whereNotify($value)
     * @method _IH_ChatMessage_QB whereAttachment($value)
     * @method _IH_ChatMessage_QB whereType($value)
     * @method _IH_ChatMessage_QB whereCreatedAt($value)
     * @method _IH_ChatMessage_QB whereUpdatedAt($value)
     * @method _IH_ChatMessage_QB whereLoadFrom($value)
     * @method _IH_ChatMessage_QB whereIsSynced($value)
     * @method ChatMessage baseSole(array|string $columns = ['*'])
     * @method ChatMessage create(array $attributes = [])
     * @method ChatMessage createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_ChatMessage_C|ChatMessage[] cursor()
     * @method ChatMessage|null|_IH_ChatMessage_C|ChatMessage[] find($id, array|string $columns = ['*'])
     * @method _IH_ChatMessage_C|ChatMessage[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ChatMessage|_IH_ChatMessage_C|ChatMessage[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ChatMessage|_IH_ChatMessage_C|ChatMessage[] findOrFail($id, array|string $columns = ['*'])
     * @method ChatMessage|_IH_ChatMessage_C|ChatMessage[] findOrNew($id, array|string $columns = ['*'])
     * @method ChatMessage first(array|string $columns = ['*'])
     * @method ChatMessage firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ChatMessage firstOrCreate(array $attributes = [], array $values = [])
     * @method ChatMessage firstOrFail(array|string $columns = ['*'])
     * @method ChatMessage firstOrNew(array $attributes = [], array $values = [])
     * @method ChatMessage firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ChatMessage forceCreate(array $attributes)
     * @method ChatMessage forceCreateQuietly(array $attributes = [])
     * @method _IH_ChatMessage_C|ChatMessage[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ChatMessage_C|ChatMessage[] get(array|string $columns = ['*'])
     * @method ChatMessage getModel()
     * @method ChatMessage[] getModels(array|string $columns = ['*'])
     * @method _IH_ChatMessage_C|ChatMessage[] hydrate(array $items)
     * @method _IH_ChatMessage_C|ChatMessage[] lazy(int $chunkSize = 1000)
     * @method _IH_ChatMessage_C|ChatMessage[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ChatMessage_C|ChatMessage[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ChatMessage make(array $attributes = [])
     * @method ChatMessage newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ChatMessage[]|_IH_ChatMessage_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|ChatMessage[]|_IH_ChatMessage_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ChatMessage sole(array|string $columns = ['*'])
     * @method ChatMessage updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ChatMessage_QB extends _BaseBuilder {}
    
    /**
     * @method Department|null getOrPut($key, \Closure $value)
     * @method Department|$this shift(int $count = 1)
     * @method Department|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Department|$this pop(int $count = 1)
     * @method Department|null pull($key, \Closure $default = null)
     * @method Department|null last(callable $callback = null, \Closure $default = null)
     * @method Department|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Department|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Department|null get($key, \Closure $default = null)
     * @method Department|null first(callable $callback = null, \Closure $default = null)
     * @method Department|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Department|null find($key, $default = null)
     * @method Department[] all()
     */
    class _IH_Department_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Department[][]|Collection<_IH_Department_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Department_QB whereId($value)
     * @method _IH_Department_QB whereName($value)
     * @method _IH_Department_QB whereStatus($value)
     * @method _IH_Department_QB whereCreatedAt($value)
     * @method _IH_Department_QB whereUpdatedAt($value)
     * @method Department baseSole(array|string $columns = ['*'])
     * @method Department create(array $attributes = [])
     * @method Department createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Department_C|Department[] cursor()
     * @method Department|null|_IH_Department_C|Department[] find($id, array|string $columns = ['*'])
     * @method _IH_Department_C|Department[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Department|_IH_Department_C|Department[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Department|_IH_Department_C|Department[] findOrFail($id, array|string $columns = ['*'])
     * @method Department|_IH_Department_C|Department[] findOrNew($id, array|string $columns = ['*'])
     * @method Department first(array|string $columns = ['*'])
     * @method Department firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Department firstOrCreate(array $attributes = [], array $values = [])
     * @method Department firstOrFail(array|string $columns = ['*'])
     * @method Department firstOrNew(array $attributes = [], array $values = [])
     * @method Department firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Department forceCreate(array $attributes)
     * @method Department forceCreateQuietly(array $attributes = [])
     * @method _IH_Department_C|Department[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Department_C|Department[] get(array|string $columns = ['*'])
     * @method Department getModel()
     * @method Department[] getModels(array|string $columns = ['*'])
     * @method _IH_Department_C|Department[] hydrate(array $items)
     * @method _IH_Department_C|Department[] lazy(int $chunkSize = 1000)
     * @method _IH_Department_C|Department[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Department_C|Department[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Department make(array $attributes = [])
     * @method Department newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Department[]|_IH_Department_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Department[]|_IH_Department_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Department sole(array|string $columns = ['*'])
     * @method Department updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Department_QB extends _BaseBuilder {}
    
    /**
     * @method Ticket|null getOrPut($key, \Closure $value)
     * @method Ticket|$this shift(int $count = 1)
     * @method Ticket|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Ticket|$this pop(int $count = 1)
     * @method Ticket|null pull($key, \Closure $default = null)
     * @method Ticket|null last(callable $callback = null, \Closure $default = null)
     * @method Ticket|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Ticket|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Ticket|null get($key, \Closure $default = null)
     * @method Ticket|null first(callable $callback = null, \Closure $default = null)
     * @method Ticket|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Ticket|null find($key, $default = null)
     * @method Ticket[] all()
     */
    class _IH_Ticket_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Ticket[][]|Collection<_IH_Ticket_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Ticket_QB whereId($value)
     * @method _IH_Ticket_QB whereDepartmentId($value)
     * @method _IH_Ticket_QB whereAdminId($value)
     * @method _IH_Ticket_QB whereClientId($value)
     * @method _IH_Ticket_QB whereFreelancerId($value)
     * @method _IH_Ticket_QB whereTitle($value)
     * @method _IH_Ticket_QB whereSubject($value)
     * @method _IH_Ticket_QB wherePriority($value)
     * @method _IH_Ticket_QB whereStatus($value)
     * @method _IH_Ticket_QB whereVia($value)
     * @method _IH_Ticket_QB whereOperatingSystem($value)
     * @method _IH_Ticket_QB whereUserAgent($value)
     * @method _IH_Ticket_QB whereDescription($value)
     * @method _IH_Ticket_QB whereCreatedAt($value)
     * @method _IH_Ticket_QB whereUpdatedAt($value)
     * @method Ticket baseSole(array|string $columns = ['*'])
     * @method Ticket create(array $attributes = [])
     * @method Ticket createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Ticket_C|Ticket[] cursor()
     * @method Ticket|null|_IH_Ticket_C|Ticket[] find($id, array|string $columns = ['*'])
     * @method _IH_Ticket_C|Ticket[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Ticket|_IH_Ticket_C|Ticket[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Ticket|_IH_Ticket_C|Ticket[] findOrFail($id, array|string $columns = ['*'])
     * @method Ticket|_IH_Ticket_C|Ticket[] findOrNew($id, array|string $columns = ['*'])
     * @method Ticket first(array|string $columns = ['*'])
     * @method Ticket firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Ticket firstOrCreate(array $attributes = [], array $values = [])
     * @method Ticket firstOrFail(array|string $columns = ['*'])
     * @method Ticket firstOrNew(array $attributes = [], array $values = [])
     * @method Ticket firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Ticket forceCreate(array $attributes)
     * @method Ticket forceCreateQuietly(array $attributes = [])
     * @method _IH_Ticket_C|Ticket[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Ticket_C|Ticket[] get(array|string $columns = ['*'])
     * @method Ticket getModel()
     * @method Ticket[] getModels(array|string $columns = ['*'])
     * @method _IH_Ticket_C|Ticket[] hydrate(array $items)
     * @method _IH_Ticket_C|Ticket[] lazy(int $chunkSize = 1000)
     * @method _IH_Ticket_C|Ticket[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Ticket_C|Ticket[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Ticket make(array $attributes = [])
     * @method Ticket newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Ticket[]|_IH_Ticket_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Ticket[]|_IH_Ticket_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Ticket sole(array|string $columns = ['*'])
     * @method Ticket updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Ticket_QB extends _BaseBuilder {}
}