<?php //921e72fa8f1139ba60abec3dd7a13923
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Blog\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Blog\Entities\BlogPost;
    
    /**
     * @method BlogPost|null getOrPut($key, \Closure $value)
     * @method BlogPost|$this shift(int $count = 1)
     * @method BlogPost|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method BlogPost|$this pop(int $count = 1)
     * @method BlogPost|null pull($key, \Closure $default = null)
     * @method BlogPost|null last(callable $callback = null, \Closure $default = null)
     * @method BlogPost|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method BlogPost|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method BlogPost|null get($key, \Closure $default = null)
     * @method BlogPost|null first(callable $callback = null, \Closure $default = null)
     * @method BlogPost|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method BlogPost|null find($key, $default = null)
     * @method BlogPost[] all()
     */
    class _IH_BlogPost_C extends _BaseCollection {
        /**
         * @param int $size
         * @return BlogPost[][]|Collection<_IH_BlogPost_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_BlogPost_QB whereId($value)
     * @method _IH_BlogPost_QB whereCategoryId($value)
     * @method _IH_BlogPost_QB whereAdminId($value)
     * @method _IH_BlogPost_QB whereTitle($value)
     * @method _IH_BlogPost_QB whereSlug($value)
     * @method _IH_BlogPost_QB whereContent($value)
     * @method _IH_BlogPost_QB whereImage($value)
     * @method _IH_BlogPost_QB whereViews($value)
     * @method _IH_BlogPost_QB whereStatus($value)
     * @method _IH_BlogPost_QB whereTagName($value)
     * @method _IH_BlogPost_QB whereCreatedAt($value)
     * @method _IH_BlogPost_QB whereUpdatedAt($value)
     * @method BlogPost baseSole(array|string $columns = ['*'])
     * @method BlogPost create(array $attributes = [])
     * @method BlogPost createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_BlogPost_C|BlogPost[] cursor()
     * @method BlogPost|null|_IH_BlogPost_C|BlogPost[] find($id, array|string $columns = ['*'])
     * @method _IH_BlogPost_C|BlogPost[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method BlogPost|_IH_BlogPost_C|BlogPost[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BlogPost|_IH_BlogPost_C|BlogPost[] findOrFail($id, array|string $columns = ['*'])
     * @method BlogPost|_IH_BlogPost_C|BlogPost[] findOrNew($id, array|string $columns = ['*'])
     * @method BlogPost first(array|string $columns = ['*'])
     * @method BlogPost firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BlogPost firstOrCreate(array $attributes = [], array $values = [])
     * @method BlogPost firstOrFail(array|string $columns = ['*'])
     * @method BlogPost firstOrNew(array $attributes = [], array $values = [])
     * @method BlogPost firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method BlogPost forceCreate(array $attributes)
     * @method BlogPost forceCreateQuietly(array $attributes = [])
     * @method _IH_BlogPost_C|BlogPost[] fromQuery(string $query, array $bindings = [])
     * @method _IH_BlogPost_C|BlogPost[] get(array|string $columns = ['*'])
     * @method BlogPost getModel()
     * @method BlogPost[] getModels(array|string $columns = ['*'])
     * @method _IH_BlogPost_C|BlogPost[] hydrate(array $items)
     * @method _IH_BlogPost_C|BlogPost[] lazy(int $chunkSize = 1000)
     * @method _IH_BlogPost_C|BlogPost[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_BlogPost_C|BlogPost[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method BlogPost make(array $attributes = [])
     * @method BlogPost newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|BlogPost[]|_IH_BlogPost_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|BlogPost[]|_IH_BlogPost_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method BlogPost sole(array|string $columns = ['*'])
     * @method BlogPost updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_BlogPost_QB extends _BaseBuilder {}
}