<?php //b18a31c007a8255fe78a956b54227345
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Pages\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Pages\Entities\MetaData;
    use Modules\Pages\Entities\Page;
    
    /**
     * @method MetaData|null getOrPut($key, \Closure $value)
     * @method MetaData|$this shift(int $count = 1)
     * @method MetaData|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method MetaData|$this pop(int $count = 1)
     * @method MetaData|null pull($key, \Closure $default = null)
     * @method MetaData|null last(callable $callback = null, \Closure $default = null)
     * @method MetaData|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method MetaData|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method MetaData|null get($key, \Closure $default = null)
     * @method MetaData|null first(callable $callback = null, \Closure $default = null)
     * @method MetaData|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method MetaData|null find($key, $default = null)
     * @method MetaData[] all()
     */
    class _IH_MetaData_C extends _BaseCollection {
        /**
         * @param int $size
         * @return MetaData[][]|Collection<_IH_MetaData_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_MetaData_QB whereId($value)
     * @method _IH_MetaData_QB whereMetaTaggableId($value)
     * @method _IH_MetaData_QB whereMetaTaggableType($value)
     * @method _IH_MetaData_QB whereMetaTitle($value)
     * @method _IH_MetaData_QB whereMetaTags($value)
     * @method _IH_MetaData_QB whereMetaDescription($value)
     * @method _IH_MetaData_QB whereFacebookMetaTags($value)
     * @method _IH_MetaData_QB whereFacebookMetaDescription($value)
     * @method _IH_MetaData_QB whereFacebookMetaImage($value)
     * @method _IH_MetaData_QB whereTwitterMetaTags($value)
     * @method _IH_MetaData_QB whereTwitterMetaDescription($value)
     * @method _IH_MetaData_QB whereTwitterMetaImage($value)
     * @method _IH_MetaData_QB whereCreatedAt($value)
     * @method _IH_MetaData_QB whereUpdatedAt($value)
     * @method MetaData baseSole(array|string $columns = ['*'])
     * @method MetaData create(array $attributes = [])
     * @method MetaData createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_MetaData_C|MetaData[] cursor()
     * @method MetaData|null|_IH_MetaData_C|MetaData[] find($id, array|string $columns = ['*'])
     * @method _IH_MetaData_C|MetaData[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method MetaData|_IH_MetaData_C|MetaData[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MetaData|_IH_MetaData_C|MetaData[] findOrFail($id, array|string $columns = ['*'])
     * @method MetaData|_IH_MetaData_C|MetaData[] findOrNew($id, array|string $columns = ['*'])
     * @method MetaData first(array|string $columns = ['*'])
     * @method MetaData firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MetaData firstOrCreate(array $attributes = [], array $values = [])
     * @method MetaData firstOrFail(array|string $columns = ['*'])
     * @method MetaData firstOrNew(array $attributes = [], array $values = [])
     * @method MetaData firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method MetaData forceCreate(array $attributes)
     * @method MetaData forceCreateQuietly(array $attributes = [])
     * @method _IH_MetaData_C|MetaData[] fromQuery(string $query, array $bindings = [])
     * @method _IH_MetaData_C|MetaData[] get(array|string $columns = ['*'])
     * @method MetaData getModel()
     * @method MetaData[] getModels(array|string $columns = ['*'])
     * @method _IH_MetaData_C|MetaData[] hydrate(array $items)
     * @method _IH_MetaData_C|MetaData[] lazy(int $chunkSize = 1000)
     * @method _IH_MetaData_C|MetaData[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_MetaData_C|MetaData[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method MetaData make(array $attributes = [])
     * @method MetaData newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|MetaData[]|_IH_MetaData_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|MetaData[]|_IH_MetaData_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MetaData sole(array|string $columns = ['*'])
     * @method MetaData updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_MetaData_QB extends _BaseBuilder {}
    
    /**
     * @method Page|null getOrPut($key, \Closure $value)
     * @method Page|$this shift(int $count = 1)
     * @method Page|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Page|$this pop(int $count = 1)
     * @method Page|null pull($key, \Closure $default = null)
     * @method Page|null last(callable $callback = null, \Closure $default = null)
     * @method Page|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Page|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Page|null get($key, \Closure $default = null)
     * @method Page|null first(callable $callback = null, \Closure $default = null)
     * @method Page|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Page|null find($key, $default = null)
     * @method Page[] all()
     */
    class _IH_Page_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Page[][]|Collection<_IH_Page_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Page_QB whereId($value)
     * @method _IH_Page_QB whereTitle($value)
     * @method _IH_Page_QB whereSlug($value)
     * @method _IH_Page_QB wherePageContent($value)
     * @method _IH_Page_QB wherePageBuilderStatus($value)
     * @method _IH_Page_QB whereLayout($value)
     * @method _IH_Page_QB wherePageClass($value)
     * @method _IH_Page_QB whereBreadcrumbStatus($value)
     * @method _IH_Page_QB whereNavbarVariant($value)
     * @method _IH_Page_QB whereFooterVariant($value)
     * @method _IH_Page_QB whereVisibility($value)
     * @method _IH_Page_QB whereStatus($value)
     * @method _IH_Page_QB whereCreatedAt($value)
     * @method _IH_Page_QB whereUpdatedAt($value)
     * @method Page baseSole(array|string $columns = ['*'])
     * @method Page create(array $attributes = [])
     * @method Page createOrFirst(array $attributes = [], array $values = [])
     * @method _IH_Page_C|Page[] cursor()
     * @method Page|null|_IH_Page_C|Page[] find($id, array|string $columns = ['*'])
     * @method _IH_Page_C|Page[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Page|_IH_Page_C|Page[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Page|_IH_Page_C|Page[] findOrFail($id, array|string $columns = ['*'])
     * @method Page|_IH_Page_C|Page[] findOrNew($id, array|string $columns = ['*'])
     * @method Page first(array|string $columns = ['*'])
     * @method Page firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Page firstOrCreate(array $attributes = [], array $values = [])
     * @method Page firstOrFail(array|string $columns = ['*'])
     * @method Page firstOrNew(array $attributes = [], array $values = [])
     * @method Page firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Page forceCreate(array $attributes)
     * @method Page forceCreateQuietly(array $attributes = [])
     * @method _IH_Page_C|Page[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Page_C|Page[] get(array|string $columns = ['*'])
     * @method Page getModel()
     * @method Page[] getModels(array|string $columns = ['*'])
     * @method _IH_Page_C|Page[] hydrate(array $items)
     * @method _IH_Page_C|Page[] lazy(int $chunkSize = 1000)
     * @method _IH_Page_C|Page[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Page_C|Page[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Page make(array $attributes = [])
     * @method Page newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Page[]|_IH_Page_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|Page[]|_IH_Page_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Page sole(array|string $columns = ['*'])
     * @method Page updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Page_QB extends _BaseBuilder {}
}