<?php //f66294704e095ee8c17ec7c4c40c7fad
/** @noinspection all */

namespace PragmaRX\Google2FALaravel\Tests\Support {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\MorphToMany;
    use Illuminate\Notifications\DatabaseNotification;
    use Illuminate\Notifications\DatabaseNotificationCollection;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Illuminate\Notifications\_IH_DatabaseNotification_QB;
    use LaravelIdea\Helper\PragmaRX\Google2FALaravel\Tests\Support\_IH_User_C;
    use LaravelIdea\Helper\PragmaRX\Google2FALaravel\Tests\Support\_IH_User_QB;
    
    /**
     * @property int $id
     * @property string $first_name
     * @property string $last_name
     * @property string $email
     * @property string|null $phone
     * @property string $username
     * @property string $password
     * @property string|null $image
     * @property int|null $country_id
     * @property int|null $state_id
     * @property int|null $city_id
     * @property int $user_type 1:client, 2:freelancer
     * @property int $user_active_inactive_status 0:inactive, 1:active
     * @property int $user_verified_status 0:not verified, 1:verified
     * @property int $terms_condition
     * @property string|null $about
     * @property string $is_email_verified 0: not verified, 1:verified
     * @property string|null $google_id
     * @property string|null $facebook_id
     * @property string|null $github_id
     * @property string|null $email_verify_token
     * @property Carbon|null $email_verified_at
     * @property string|null $remember_token
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property float $hourly_rate
     * @property Carbon|null $deleted_at
     * @property Carbon|null $check_online_status
     * @property int $check_work_availability
     * @property string|null $google_2fa_secret
     * @property int $google_2fa_enable_disable_disable 0=disable 1=enable
     * @property string $experience_level
     * @property int $is_suspend 0=no , 1=yes
     * @property string|null $firebase_device_token
     * @property string|null $apple_id
     * @property string|null $is_pro
     * @property Carbon|null $pro_expire_date
     * @property string|null $freeze_withdraw
     * @property string|null $freeze_project
     * @property string|null $freeze_job
     * @property string|null $freeze_chat
     * @property string|null $freeze_order_create
     * @property int $load_from
     * @property int $is_synced
     * @property DatabaseNotificationCollection|DatabaseNotification[] $notifications
     * @property-read int $notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB notifications()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $readNotifications
     * @property-read int $read_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB readNotifications()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $unreadNotifications
     * @property-read int $unread_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB unreadNotifications()
     * @method static _IH_User_QB onWriteConnection()
     * @method _IH_User_QB newQuery()
     * @method static _IH_User_QB on(null|string $connection = null)
     * @method static _IH_User_QB query()
     * @method static _IH_User_QB with(array|string $relations)
     * @method _IH_User_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_User_C|User[] all()
     * @ownLinks country_id,\Modules\CountryManage\Entities\Country,id|state_id,\Modules\CountryManage\Entities\State,id|city_id,\Modules\CountryManage\Entities\City,id
     * @foreignLinks id,\App\Models\MediaUpload,user_id|id,\App\Models\UserIntroduction,user_id|id,\App\Models\UserExperience,user_id|id,\App\Models\UserEducation,user_id|id,\App\Models\UserWork,user_id|id,\App\Models\UserSkill,user_id|id,\App\Models\IdentityVerification,user_id|id,\App\Models\Project,user_id|id,\App\Models\ProjectAttribute,user_id|id,\App\Models\Portfolio,user_id|id,\App\Models\ProjectHistory,user_id|id,\App\Models\AdminNotification,user_id|id,\Modules\Wallet\Entities\Wallet,user_id|id,\Modules\Wallet\Entities\WalletHistory,user_id|id,\App\Models\JobHistory,user_id|id,\Modules\Subscription\Entities\UserSubscription,user_id|id,\App\Models\Order,user_id|id,\App\Models\UserEarning,user_id|id,\App\Models\IndividualCommissionSetting,user_id|id,\App\Models\JobPost,user_id|id,\Modules\Wallet\Entities\WithdrawRequest,user_id|id,\App\Models\Feedback,user_id|id,\App\Models\Bookmark,user_id|id,\Modules\PromoteFreelancer\Entities\PromotionProjectList,user_id|id,\Modules\SecurityManage\Entities\LogActivity,user_id
     * @mixin _IH_User_QB
     */
    class User extends Model {}
}