<?php //2cfe2cb43c5e681d5017953db71ce49a
/** @noinspection all */

namespace Modules\PromoteFreelancer\Entities {

    use App\Models\Project;
    use App\Models\User;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\Models\_IH_Project_QB;
    use LaravelIdea\Helper\App\Models\_IH_User_QB;
    use LaravelIdea\Helper\Modules\PromoteFreelancer\Entities\_IH_ProjectPromoteSettings_C;
    use LaravelIdea\Helper\Modules\PromoteFreelancer\Entities\_IH_ProjectPromoteSettings_QB;
    use LaravelIdea\Helper\Modules\PromoteFreelancer\Entities\_IH_PromotionProjectList_C;
    use LaravelIdea\Helper\Modules\PromoteFreelancer\Entities\_IH_PromotionProjectList_QB;
    
    /**
     * @property int $id
     * @property string $title
     * @property string|null $image
     * @property float $budget
     * @property int $duration
     * @property int $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_ProjectPromoteSettings_QB onWriteConnection()
     * @method _IH_ProjectPromoteSettings_QB newQuery()
     * @method static _IH_ProjectPromoteSettings_QB on(null|string $connection = null)
     * @method static _IH_ProjectPromoteSettings_QB query()
     * @method static _IH_ProjectPromoteSettings_QB with(array|string $relations)
     * @method _IH_ProjectPromoteSettings_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ProjectPromoteSettings_C|ProjectPromoteSettings[] all()
     * @mixin _IH_ProjectPromoteSettings_QB
     */
    class ProjectPromoteSettings extends Model {}
    
    /**
     * @property int $id
     * @property int $user_id
     * @property int|null $identity
     * @property string|null $type project,profile,proposal
     * @property int $package_id
     * @property float $price
     * @property float|null $transaction_fee
     * @property int $duration
     * @property Carbon|null $expire_date
     * @property string|null $payment_gateway
     * @property string|null $payment_status
     * @property int $status
     * @property string|null $transaction_id
     * @property string|null $manual_payment_image
     * @property int $impression
     * @property int $click
     * @property string|null $country
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string|null $is_valid_payment
     * @property string|null $email_send
     * @property ProjectPromoteSettings $package
     * @method BelongsTo|_IH_ProjectPromoteSettings_QB package()
     * @property Project|null $project
     * @method BelongsTo|_IH_Project_QB project()
     * @property User $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_PromotionProjectList_QB onWriteConnection()
     * @method _IH_PromotionProjectList_QB newQuery()
     * @method static _IH_PromotionProjectList_QB on(null|string $connection = null)
     * @method static _IH_PromotionProjectList_QB query()
     * @method static _IH_PromotionProjectList_QB with(array|string $relations)
     * @method _IH_PromotionProjectList_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_PromotionProjectList_C|PromotionProjectList[] all()
     * @ownLinks user_id,\PragmaRX\Google2FALaravel\Tests\Support\User,id
     * @mixin _IH_PromotionProjectList_QB
     */
    class PromotionProjectList extends Model {}
}