<?php //82622917539833eb9bf940043be416d7
/** @noinspection all */

namespace Modules\FreelancerLevel\Entities {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Modules\FreelancerLevel\Entities\_IH_FreelancerLevelRules_C;
    use LaravelIdea\Helper\Modules\FreelancerLevel\Entities\_IH_FreelancerLevelRules_QB;
    use LaravelIdea\Helper\Modules\FreelancerLevel\Entities\_IH_FreelancerLevel_C;
    use LaravelIdea\Helper\Modules\FreelancerLevel\Entities\_IH_FreelancerLevel_QB;
    
    /**
     * @property int $id
     * @property string $level
     * @property int $status 0=inactive 1=active
     * @property string|null $image
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property FreelancerLevelRules $level_rule
     * @method HasOne|_IH_FreelancerLevelRules_QB level_rule()
     * @method static _IH_FreelancerLevel_QB onWriteConnection()
     * @method _IH_FreelancerLevel_QB newQuery()
     * @method static _IH_FreelancerLevel_QB on(null|string $connection = null)
     * @method static _IH_FreelancerLevel_QB query()
     * @method static _IH_FreelancerLevel_QB with(array|string $relations)
     * @method _IH_FreelancerLevel_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_FreelancerLevel_C|FreelancerLevel[] all()
     * @foreignLinks id,\Modules\FreelancerLevel\Entities\FreelancerLevelRules,freelancer_level_id
     * @mixin _IH_FreelancerLevel_QB
     */
    class FreelancerLevel extends Model {}
    
    /**
     * @property int $id
     * @property int $freelancer_level_id
     * @property int $period
     * @property float $avg_rating
     * @property float $earning
     * @property int $complete_order
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_FreelancerLevelRules_QB onWriteConnection()
     * @method _IH_FreelancerLevelRules_QB newQuery()
     * @method static _IH_FreelancerLevelRules_QB on(null|string $connection = null)
     * @method static _IH_FreelancerLevelRules_QB query()
     * @method static _IH_FreelancerLevelRules_QB with(array|string $relations)
     * @method _IH_FreelancerLevelRules_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_FreelancerLevelRules_C|FreelancerLevelRules[] all()
     * @ownLinks freelancer_level_id,\Modules\FreelancerLevel\Entities\FreelancerLevel,id
     * @mixin _IH_FreelancerLevelRules_QB
     */
    class FreelancerLevelRules extends Model {}
}