<?php //b83a554622a393bd0787fecf4d85579a
/** @noinspection all */

namespace Modules\Pages\Entities {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\MorphTo;
    use Illuminate\Database\Eloquent\Relations\MorphToMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Modules\Pages\Entities\_IH_MetaData_C;
    use LaravelIdea\Helper\Modules\Pages\Entities\_IH_MetaData_QB;
    use LaravelIdea\Helper\Modules\Pages\Entities\_IH_Page_C;
    use LaravelIdea\Helper\Modules\Pages\Entities\_IH_Page_QB;
    
    /**
     * @property int $id
     * @property int $meta_taggable_id
     * @property string $meta_taggable_type
     * @property string|null $meta_title
     * @property string|null $meta_tags
     * @property string|null $meta_description
     * @property string|null $facebook_meta_tags
     * @property string|null $facebook_meta_description
     * @property string|null $facebook_meta_image
     * @property string|null $twitter_meta_tags
     * @property string|null $twitter_meta_description
     * @property string|null $twitter_meta_image
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Model $meta_taggable
     * @method MorphTo meta_taggable()
     * @method static _IH_MetaData_QB onWriteConnection()
     * @method _IH_MetaData_QB newQuery()
     * @method static _IH_MetaData_QB on(null|string $connection = null)
     * @method static _IH_MetaData_QB query()
     * @method static _IH_MetaData_QB with(array|string $relations)
     * @method _IH_MetaData_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_MetaData_C|MetaData[] all()
     * @mixin _IH_MetaData_QB
     */
    class MetaData extends Model {}
    
    /**
     * @property int $id
     * @property string $title
     * @property string|null $slug
     * @property string|null $page_content
     * @property string|null $page_builder_status
     * @property string|null $layout
     * @property string|null $page_class
     * @property string|null $breadcrumb_status
     * @property string|null $navbar_variant
     * @property string|null $footer_variant
     * @property string|null $visibility
     * @property int|null $status 1-active, 0-inactive
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property MetaData $meta_data
     * @method MorphToMany|_IH_MetaData_QB meta_data()
     * @method static _IH_Page_QB onWriteConnection()
     * @method _IH_Page_QB newQuery()
     * @method static _IH_Page_QB on(null|string $connection = null)
     * @method static _IH_Page_QB query()
     * @method static _IH_Page_QB with(array|string $relations)
     * @method _IH_Page_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Page_C|Page[] all()
     * @mixin _IH_Page_QB
     */
    class Page extends Model {}
}