<?php //bd5079e606815997baa8caaad0000e70
/** @noinspection all */

namespace Modules\Blog\Entities {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\MorphToMany;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Modules\Blog\Entities\_IH_BlogPost_C;
    use LaravelIdea\Helper\Modules\Blog\Entities\_IH_BlogPost_QB;
    use LaravelIdea\Helper\Modules\Pages\Entities\_IH_MetaData_QB;
    use LaravelIdea\Helper\Modules\Service\Entities\_IH_Category_QB;
    use Modules\Pages\Entities\MetaData;
    use Modules\Service\Entities\Category;
    
    /**
     * @property int $id
     * @property int $category_id
     * @property int $admin_id
     * @property string $title
     * @property string|null $slug
     * @property string $content
     * @property string $image
     * @property int|null $views
     * @property int $status 0=inactive, 1=active
     * @property string|null $tag_name
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Category $category
     * @method BelongsTo|_IH_Category_QB category()
     * @property MetaData $meta_data
     * @method MorphToMany|_IH_MetaData_QB meta_data()
     * @method static _IH_BlogPost_QB onWriteConnection()
     * @method _IH_BlogPost_QB newQuery()
     * @method static _IH_BlogPost_QB on(null|string $connection = null)
     * @method static _IH_BlogPost_QB query()
     * @method static _IH_BlogPost_QB with(array|string $relations)
     * @method _IH_BlogPost_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_BlogPost_C|BlogPost[] all()
     * @ownLinks category_id,\Modules\Service\Entities\Category,id|admin_id,\App\Models\Admin,id
     * @mixin _IH_BlogPost_QB
     */
    class BlogPost extends Model {}
}